; pager/theme.jl
;; stuff below is very poor

(defgroup pager-frame "aPager theme" :group appearance)

(defcustom pager:inactive-menu "rightstripe2.png"
  "inactive shade-button."
  :group (appearance pager-frame)
  :type file-name)
  ;:after-set (lambda () (reframe-all)))

(defcustom pager:inactive-hover "rightstripeh.png"
  "inactive shade-button-highlighted"
  :group (appearance pager-frame)
  :type file-name)

(defcustom pager:active-menu "rightstripeh.png"
  "active shade-button."
  :group (appearance pager-frame)
  :type file-name)
  ;:after-set (lambda () (reframe-all)))

(defcustom pager:inactive-shade "rightstripe2.png"
  "inactive shaded-button"
  :group (appearance pager-frame)
  :type file-name)
  
(defcustom pager:inactive-shover "rightstripeh.png"
  "inactive shaded-button-clicked"
  :group (appearance pager-frame)
  :type file-name)
  

;;;;;;;;;;;;;;;
;;define shit;;
;;;;;;;;;;;;;;;

(define menu-image `((inactive . ,(make-image pager:inactive-menu))
		    (inactive-highlighted . ,(make-image pager:inactive-hover))
                    ;(inactive-clicked . ,(make-image pager:inactive-click))
                    (clicked . ,(make-image pager:active-menu))))

(define shade-image `((inactive . ,(make-image pager:inactive-shade))
		     (inactive-clicked . ,(make-image pager:inactive-shover))))
                   
;;;;;;;;;;;;;;;;;;    

(define title-image (make-image "top.png"))
(define top-left-image (make-image "cor.png"))
(define right-image (make-image "bit.png"))
(define top-right-image (make-image "tpcor.png"))
(define bottom-image (make-image "b1.png"))
(define top-image (make-image "line.png")) 
(define right-bit (make-image "horbline.png")) 
(define bottom-corner (make-image "blc.png"))
(define bottom-right-corner (make-image "brc.png"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;(define (rebuild);

;;you suck

;(when (and (or (not pager:inactive-menu)
;		 (not pager:active-menu))  
;(lambda () (rebuild-frames-with-style 'pager))))
;  (rebuild-frames-with-style 'pager))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;       

(define frame 

`(((background . ,top-left-image)
         (top-edge . -2)
         (left-edge . -20)
         (class . title))
        
((background . ,title-image)
         
         (x-justify . left)
         (y-justify . center)
         (left-edge . -19)
         (right-edge . -3)
         (top-edge . -2)
         ;(height . 20)
         (class . title))
        
((background . ,top-right-image)
         (right-edge . -3)
         (top-edge . -2)
         (class . title))
                
((background . ,right-image)
         (right-edge . -3)
         (top-edge . 0)
         (bottom-edge . 0)
         (class . right-border))
     
((background . ,bottom-image)
         (left-edge . -18)
         (right-edge . 0)
         (bottom-edge . -2)
         (class . bottom-border))
        
((background . ,menu-image)
         (left-edge . -20)
         (top-edge . 0)
         (width . 20)
         (cursor . left_ptr)
         (bottom-edge . 0)
         (class . title))

((background . ,top-image)
         (left-edge . 0)
         (top-edge . 0)
         (right-edge . 0)
	 (class . title))      

((background . ,right-bit)
         (left-edge . 0)
         (top-edge . 0)
         (bottom-edge . 0)
	 (class . left-border))      

((background . ,bottom-corner)
	(right-edge . -3)
        (bottom-edge . -2)
        (width . 3)
	(height . 2)
        (class . bottom-right-corner)) 


((background . ,bottom-right-corner)
	(left-edge . -20)
        (bottom-edge . -2)
        (width . 2)
	(height . 2)
        (class . bottom-left-corner)) 
))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  
(define shaped-frame 

`(((background . ,top-left-image)
         (top-edge . -2)
         (right-edge . 16)
         (class . top-left-corner))
        
((background . ,title-image)
         
         (right-edge . -5)
         (top-edge . -2)
         (width . 21)
         (class . title))
        
((background . ,top-right-image)
         (right-edge . -6)
         (top-edge . -2)
         (class . title))
                
((background . ,right-image)
         (right-edge . -6)
         (top-edge . 0)
         (bottom-edge . 0)
         (class . right-border))
        
        
((background . ,bottom-image)
         ;(left-edge . 0)
         (right-edge . -3)
         (bottom-edge . -2)
         (height . 2)
          (width . 18)
          (class . bottom-border))
        
((background . ,shade-image)
         (right-edge . -3)
         (top-edge . 0)
         (bottom-edge . 0)
	 (width . 20)
         (cursor . left_ptr)
         (class . shade-button))

((background . ,bottom-corner)
	(right-edge . -6)
        (bottom-edge . -2)
        (width . 3)
	(height . 2)
        (class . bottom-right-corner)) 

((background . ,bottom-right-corner)
	(right-edge . 15)
        (bottom-edge . -2)
        (width . 2)
	(height . 2)
        (class . bottom-left-corner)) 
))
;;
;;
(add-frame-style 'apager
		   (lambda (w type)
		     (case type
		       ((default) frame)
		       ((shaped) shaped-frame)
		       )))

